ServerEvents.recipes(event => {
    // Gate building gadgets behind late-game build grist
    event.replaceInput(
        {mod: 'buildinggadgets2'},
        'minecraft:redstone',
        '#kubejs:grist/energetic/basic'
    )
    event.replaceInput(
        {mod: 'buildinggadgets2'},
        'minecraft:lapis_lazuli',
        '#kubejs:grist/build/basic'
    )
    event.replaceInput(
        {mod: 'buildinggadgets2'},
        'minecraft:emerald',
        '#kubejs:grist/build/improved'
    )
    event.replaceInput(
        {mod: 'buildinggadgets2'},
        'minecraft:diamond',
        '#kubejs:grist/build/radiant'
    )
})